Build branch main with version main (d8c0c0f)

Build pipeline: viash-hub.htrnaseq.main-fc9g5

Source commit: d8c0c0f518

Source message: Create umi_length parameter and infer barcode length from sequence (#27)
This commit is contained in:
CI
2025-01-14 09:07:18 +00:00
parent f86c73dccb
commit 37c4f5eb25
61 changed files with 264 additions and 348 deletions

View File

@@ -68,14 +68,6 @@ argument_groups:
multiple_sep: ";"
- name: "Barcode arguments"
arguments:
- type: "integer"
name: "--wellBarcodesLength"
description: "The length of the well barcodes"
info: null
required: true
direction: "input"
multiple: false
multiple_sep: ";"
- type: "integer"
name: "--umiLength"
description: "The length of the UMIs"
@@ -264,8 +256,8 @@ build_info:
output: "target/executable/parallel_map"
executable: "target/executable/parallel_map/parallel_map"
viash_version: "0.9.0"
git_commit: "4a6fc3588e66c0d41a0dc31fec56ec47cb871956"
git_remote: "https://x-access-token:ghs_SaYCQ0uYvqLIVXUBCVNZPcP9pTStxd0Bbljy@github.com/viash-hub/htrnaseq"
git_commit: "d8c0c0f518e9359c5373ff2761a80050ebb7333e"
git_remote: "https://x-access-token:ghs_WwvhrfwIl9DJdsjBAWPXvIvgBFDL7344Rs7f@github.com/viash-hub/htrnaseq"
package_config:
name: "htrnaseq"
version: "main"

View File

@@ -197,10 +197,6 @@ function ViashHelp {
echo " The barcodes/wells to process"
echo ""
echo "Barcode arguments:"
echo " --wellBarcodesLength"
echo " type: integer, required parameter"
echo " The length of the well barcodes"
echo ""
echo " --umiLength"
echo " type: integer, required parameter"
echo " The length of the UMIs"
@@ -517,9 +513,9 @@ ENV STAR_BINARY=STAR
COPY STAR /usr/local/bin/$STAR_BINARY
LABEL org.opencontainers.image.authors="Dries Schaumont, Toni Verbeiren"
LABEL org.opencontainers.image.description="Companion container for running component parallel_map"
LABEL org.opencontainers.image.created="2025-01-10T15:09:09Z"
LABEL org.opencontainers.image.created="2025-01-14T07:38:10Z"
LABEL org.opencontainers.image.source="https://github.com/viash-hub/htrnaseq"
LABEL org.opencontainers.image.revision="4a6fc3588e66c0d41a0dc31fec56ec47cb871956"
LABEL org.opencontainers.image.revision="d8c0c0f518e9359c5373ff2761a80050ebb7333e"
LABEL org.opencontainers.image.version="main"
VIASHDOCKER
@@ -721,17 +717,6 @@ while [[ $# -gt 0 ]]; do
fi
shift 1
;;
--wellBarcodesLength)
[ -n "$VIASH_PAR_WELLBARCODESLENGTH" ] && ViashError Bad arguments for option \'--wellBarcodesLength\': \'$VIASH_PAR_WELLBARCODESLENGTH\' \& \'$2\' - you should provide exactly one argument for this option. && exit 1
VIASH_PAR_WELLBARCODESLENGTH="$2"
[ $# -lt 2 ] && ViashError Not enough arguments passed to --wellBarcodesLength. Use "--help" to get more information on the parameters. && exit 1
shift 2
;;
--wellBarcodesLength=*)
[ -n "$VIASH_PAR_WELLBARCODESLENGTH" ] && ViashError Bad arguments for option \'--wellBarcodesLength=*\': \'$VIASH_PAR_WELLBARCODESLENGTH\' \& \'$2\' - you should provide exactly one argument for this option. && exit 1
VIASH_PAR_WELLBARCODESLENGTH=$(ViashRemoveFlags "$1")
shift 1
;;
--umiLength)
[ -n "$VIASH_PAR_UMILENGTH" ] && ViashError Bad arguments for option \'--umiLength\': \'$VIASH_PAR_UMILENGTH\' \& \'$2\' - you should provide exactly one argument for this option. && exit 1
VIASH_PAR_UMILENGTH="$2"
@@ -975,10 +960,6 @@ if [ -z ${VIASH_PAR_BARCODES+x} ]; then
ViashError '--barcodes' is a required argument. Use "--help" to get more information on the parameters.
exit 1
fi
if [ -z ${VIASH_PAR_WELLBARCODESLENGTH+x} ]; then
ViashError '--wellBarcodesLength' is a required argument. Use "--help" to get more information on the parameters.
exit 1
fi
if [ -z ${VIASH_PAR_UMILENGTH+x} ]; then
ViashError '--umiLength' is a required argument. Use "--help" to get more information on the parameters.
exit 1
@@ -1054,12 +1035,6 @@ if [ ! -z "$VIASH_PAR_GENOMEDIR" ] && [ ! -e "$VIASH_PAR_GENOMEDIR" ]; then
fi
# check whether parameters values are of the right type
if [[ -n "$VIASH_PAR_WELLBARCODESLENGTH" ]]; then
if ! [[ "$VIASH_PAR_WELLBARCODESLENGTH" =~ ^[-+]?[0-9]+$ ]]; then
ViashError '--wellBarcodesLength' has to be an integer. Use "--help" to get more information on the parameters.
exit 1
fi
fi
if [[ -n "$VIASH_PAR_UMILENGTH" ]]; then
if ! [[ "$VIASH_PAR_UMILENGTH" =~ ^[-+]?[0-9]+$ ]]; then
ViashError '--umiLength' has to be an integer. Use "--help" to get more information on the parameters.
@@ -1289,7 +1264,6 @@ $( if [ ! -z ${VIASH_PAR_INPUT_R1+x} ]; then echo "${VIASH_PAR_INPUT_R1}" | sed
$( if [ ! -z ${VIASH_PAR_INPUT_R2+x} ]; then echo "${VIASH_PAR_INPUT_R2}" | sed "s#'#'\"'\"'#g;s#.*#par_input_r2='&'#" ; else echo "# par_input_r2="; fi )
$( if [ ! -z ${VIASH_PAR_GENOMEDIR+x} ]; then echo "${VIASH_PAR_GENOMEDIR}" | sed "s#'#'\"'\"'#g;s#.*#par_genomeDir='&'#" ; else echo "# par_genomeDir="; fi )
$( if [ ! -z ${VIASH_PAR_BARCODES+x} ]; then echo "${VIASH_PAR_BARCODES}" | sed "s#'#'\"'\"'#g;s#.*#par_barcodes='&'#" ; else echo "# par_barcodes="; fi )
$( if [ ! -z ${VIASH_PAR_WELLBARCODESLENGTH+x} ]; then echo "${VIASH_PAR_WELLBARCODESLENGTH}" | sed "s#'#'\"'\"'#g;s#.*#par_wellBarcodesLength='&'#" ; else echo "# par_wellBarcodesLength="; fi )
$( if [ ! -z ${VIASH_PAR_UMILENGTH+x} ]; then echo "${VIASH_PAR_UMILENGTH}" | sed "s#'#'\"'\"'#g;s#.*#par_umiLength='&'#" ; else echo "# par_umiLength="; fi )
$( if [ ! -z ${VIASH_PAR_LIMITBAMSORTRAM+x} ]; then echo "${VIASH_PAR_LIMITBAMSORTRAM}" | sed "s#'#'\"'\"'#g;s#.*#par_limitBAMsortRAM='&'#" ; else echo "# par_limitBAMsortRAM="; fi )
$( if [ ! -z ${VIASH_PAR_RUNTHREADN+x} ]; then echo "${VIASH_PAR_RUNTHREADN}" | sed "s#'#'\"'\"'#g;s#.*#par_runThreadN='&'#" ; else echo "# par_runThreadN="; fi )
@@ -1376,16 +1350,17 @@ fi
# Define the function that will be used to run a single job
function _run() {
local par_wellBarcodeLength="\$1"
local par_UMIlength="\$2"
local par_output="\$3"
local par_genomeDir="\$4"
local par_limitBAMsortRAM="\$5"
local par_runThreadN="\$6"
local barcode="\$7"
local input_R1="\$8"
local input_R2="\$9"
local par_UMIstart=\$((\$par_wellBarcodeLength + 1))
local par_UMIlength="\$1"
local par_output="\$2"
local par_genomeDir="\$3"
local par_limitBAMsortRAM="\$4"
local par_runThreadN="\$5"
local barcode="\$6"
local input_R1="\$7"
local input_R2="\$8"
local barcode_length="\${#barcode}"
local umi_start="\$((\$barcode_length + 1))"
set -eo pipefail
@@ -1481,8 +1456,8 @@ function _run() {
--outSAMtype BAM SortedByCoordinate \\
--soloCBstart 1 \\
--readFilesType "Fastx" \\
--soloCBlen "\$par_wellBarcodeLength" \\
--soloUMIstart "\$par_UMIstart" \\
--soloCBlen "\$barcode_length" \\
--soloUMIstart "\$umi_start" \\
--soloUMIlen "\$par_UMIlength" \\
--soloBarcodeReadLength 0 \\
--soloStrand Unstranded \\
@@ -1538,7 +1513,7 @@ parallel_cmd=("parallel" "--jobs" "80%" "--verbose" "--memfree" "2G"
"--joblog" "\$par_joblog" "_run" "{}")
# Arguments for which there is one value, so these will not create extra jobs
parallel_cmd+=(":::" "\$par_wellBarcodesLength" ":::" "\$par_umiLength" ":::" "\$par_output" ":::" "\$par_genomeDir" ":::" "\$par_limitBAMsortRAM" ":::" "\$par_runThreadN")
parallel_cmd+=(":::" "\$par_umiLength" ":::" "\$par_output" ":::" "\$par_genomeDir" ":::" "\$par_limitBAMsortRAM" ":::" "\$par_runThreadN")
# Argument which in fact will cause extra jobs to be spawned, per job one item from each argument will be selected
# Thus, these argument lists should have the same length.